# Note that this is NOT a relocatable package
%define name ee
%define version 0.3.11
%define prefix /usr

Summary: The Electric Eyes image viewer application.
Summary(fr): Le visualiseur d'images Electric Eyes.
Name: %{name}
Version: %{version}
Release: 5mdk
Copyright: GPL
Group: Graphics
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/ee/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.gnome.org
Docdir: %{prefix}/doc
Icon: ee-logo.xpm
Requires: imlib >= 1.9.2

%description
The ee package contains the Electric Eyes image viewer for the GNOME desktop
environment. Electric Eyes is primary an image viewer, but it also allows many
types of image manipulations. Electric Eyes can handle almost any type of
image.

Install the ee package if you need an image viewer.

%description -l fr
Le package ee contient le visualiseur d'images Electric Eyes pour le bureau
graphique GNOME. Electric Eyes est d'abord un visualiseur d'images, mais il
peut aussi les modifier. Electric Eyes peut grer quasiment tous les types
d'images.

Installez le package ee si vous voulez un visualiseur d'images.


%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/gnome/help/%{name}
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/mime-info/%{name}.keys
%{prefix}/lib/menu/%{name}
%{prefix}/share/icons/%{name}.xpm
%{prefix}/share/icons/mini/%{name}.xpm

%changelog
* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3.11-5mdk
- added MimeType.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.11-4mdk
- fixed my menu mistake
- added 32x32 icon
- fixed menu conflict gnome/menu

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.11-3mdk
- new groups
- fixed url
- menu entry, with icon

* Thu Nov 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.3.11

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMp build/check

* Fri Sep 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.3.10

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com> 
- get latest version from CVS; patch is no longuer needed
- changed Group:
- added icon

* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- /usr/share/gnome/apps/Graphics directory should not be included;
  only the *.desktop files in it
- get latest version from CVS

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- add a -l fr to french description.

* Tue Jul 20 1999 G.Colbert <gregus@etudiant.net>
- add fr locale

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 22 1999 Michael Fulbright <drmike@redhat.com>
- unlibtoolize

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.8

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.7

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt for gtk+ 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- requires imlib 1.8.1
- more minor bug fixes.

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- stuff

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics
